# Uses of Interface
org.opensaml.security.x509.X500DNHandler

Packages that use X500DNHandler
Package
Description
org.opensaml.security.x509
X.509-based credential and trust classes.
org.opensaml.security.x509.impl
`TrustEngine` implementation classes related to PKIX.
org.opensaml.security.x509.tls
TLS security functionality.
org.opensaml.xmlsec.keyinfo.impl
Interfaces and classes for working with XML KeyInfo elements.
org.opensaml.xmlsec.keyinfo.impl.provider
Specific implementations of `KeyInfoProvider`.

## Uses of X500DNHandler in org.opensaml.security.x509

Classes in org.opensaml.security.x509 that implement X500DNHandler
Modifier and Type
Class
Description
`class`
`InternalX500DNHandler`
Basic implementation of `X500DNHandler` which uses the internal built-in mechanisms provided by `X500Principal` directly.
Methods in org.opensaml.security.x509 that return X500DNHandler
Modifier and Type
Method
Description
`X500DNHandler`
InternalX500DNHandler.`clone()`
Clone the handler.
`X500DNHandler`
X500DNHandler.`clone()`
Clone the handler.
Methods in org.opensaml.security.x509 with parameters of type X500DNHandler
Modifier and Type
Method
Description
`static String`
X509Support.`getIdentifiersToken(X509Credential credential, X500DNHandler handler)`
Gets a formatted string representing identifier information from the supplied credential.

## Uses of X500DNHandler in org.opensaml.security.x509.impl

Fields in org.opensaml.security.x509.impl declared as X500DNHandler
Modifier and Type
Field
Description
`private X500DNHandler`
BasicX509CredentialNameEvaluator.`x500DNHandler`
Responsible for parsing and serializing X.500 names to/from `X500Principal` instances.
`private X500DNHandler`
CertPathPKIXTrustEvaluator.`x500DNHandler`
Responsible for parsing and serializing X.500 names to/from `X500Principal` instances.
Methods in org.opensaml.security.x509.impl that return X500DNHandler
Modifier and Type
Method
Description
`X500DNHandler`
BasicX509CredentialNameEvaluator.`getX500DNHandler()`
Get the handler which process X.500 distinguished names.
`X500DNHandler`
CertPathPKIXTrustEvaluator.`getX500DNHandler()`
Get the handler which process X.500 distinguished names.
Methods in org.opensaml.security.x509.impl with parameters of type X500DNHandler
Modifier and Type
Method
Description
`void`
BasicX509CredentialNameEvaluator.`setX500DNHandler(X500DNHandler handler)`
Set the handler which process X.500 distinguished names.
`void`
CertPathPKIXTrustEvaluator.`setX500DNHandler(X500DNHandler handler)`
Set the handler which process X.500 distinguished names.

## Uses of X500DNHandler in org.opensaml.security.x509.tls

Fields in org.opensaml.security.x509.tls declared as X500DNHandler
Modifier and Type
Field
Description
`private X500DNHandler`
CertificateNameOptions.`x500DNHandler`
Responsible for serializing X.500 names to strings from certificate-derived `X500Principal` instances.
Methods in org.opensaml.security.x509.tls that return X500DNHandler
Modifier and Type
Method
Description
`X500DNHandler`
CertificateNameOptions.`getX500DNHandler()`
Get the handler responsible for serializing X.500 names to strings from certificate-derived `X500Principal` instances.
Methods in org.opensaml.security.x509.tls with parameters of type X500DNHandler
Modifier and Type
Method
Description
`void`
CertificateNameOptions.`setX500DNHandler(X500DNHandler handler)`
Set the handler responsible for serializing X.500 names to strings from certificate-derived `X500Principal` instances.

## Uses of X500DNHandler in org.opensaml.xmlsec.keyinfo.impl

Fields in org.opensaml.xmlsec.keyinfo.impl declared as X500DNHandler
Modifier and Type
Field
Description
`private X500DNHandler`
X509KeyInfoGeneratorFactory.X509Options.`x500DNHandler`
Responsible for parsing and serializing X.500 names to/from `X500Principal` instances.
Methods in org.opensaml.xmlsec.keyinfo.impl that return X500DNHandler
Modifier and Type
Method
Description
`X500DNHandler`
X509KeyInfoGeneratorFactory.`getX500DNHandler()`
Get the handler which process X.500 distinguished names.
Methods in org.opensaml.xmlsec.keyinfo.impl with parameters of type X500DNHandler
Modifier and Type
Method
Description
`void`
X509KeyInfoGeneratorFactory.`setX500DNHandler(X500DNHandler handler)`
Set the handler which process X.500 distinguished names.

## Uses of X500DNHandler in org.opensaml.xmlsec.keyinfo.impl.provider

Fields in org.opensaml.xmlsec.keyinfo.impl.provider declared as X500DNHandler
Modifier and Type
Field
Description
`private X500DNHandler`
InlineX509DataProvider.`x500DNHandler`
Responsible for parsing and serializing X.500 names to/from `X500Principal` instances.
Methods in org.opensaml.xmlsec.keyinfo.impl.provider that return X500DNHandler
Modifier and Type
Method
Description
`X500DNHandler`
InlineX509DataProvider.`getX500DNHandler()`
Get the handler which process X.500 distinguished names.
Methods in org.opensaml.xmlsec.keyinfo.impl.provider with parameters of type X500DNHandler
Modifier and Type
Method
Description
`void`
InlineX509DataProvider.`setX500DNHandler(X500DNHandler handler)`
Set the handler which process X.500 distinguished names.